Subject: Re: [EAI] Editorial change suggestions -- smtpext-08

From: "YAO Jiankang" <[email-masked]>
Date: Mon, 1 Oct 2007 17:01:20 +0800

----- Original Message ----- 
From: "Yangwoo Ko" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, September 19, 2007 8:14 PM
Subject: [EAI] Editorial change suggestions -- smtpext-08

> 
> Basically, I support this draft to be published. Below are a few minor / 
> editorial / nitpicky change suggestions. Authors may accept them as much 
> as they like.
> 
> (1) Abstract
> 
> >   This document specifies the use of SMTP extension for
> >   internationalized email address delivery. 
> 
> This document specifies the use of an SMTP extension for
> delivery of email messages with internationalized email addresses.

updated.

> 
> (2) First paragraph of 1. Introduction
> 
> > which clients can make decisions for further processing; please see
> > more in [EAI-framework].
> 
> More of what? More discussion?

I mean more discussion about the background knowledge or context of SMTPext to support EAI.

> 
> (3) First paragraph of 1. Introduction
> 
> >   architecturally desirable approach.  This document specifies an SMTP
> >   extension to permit internationalized email addresses in envelopes,
> >   and UTF-8 in headers.  The protocol described here is an MTA solution
> 
> and unicode characters (encoded in UTF-8) in headers.

updated.

> 
> (4) End of section 2.2
> 
> >       address in the envelope is in ASCII or if an ALT-Address
> 
> ALT-ADDRESS
> 

updated.

> (5) First paragraph of section 2.3
> 
> >   RFC 2821, section 4.1.2, defines the syntax of a mailbox entirely in
> >   terms of ASCII characters, using the production for "Mailbox" and
> 
> . a mailbox entirely in ASCII characters, ...

I think that both are ok, so keep the original

> 
> (6) First paragraph of section 2.5
> 
> >   [EAI-utf8header] specifies "UTF8SMTP message" which requires UTF8SMTP
> >   support.
> 
> .. which requires UTF8SMTP service extension.

updated to 'which requires UTF8SMTP service extension support'

> 
> (7) Last paragraph of section 2.7
> 
> >   Support and use of this extension requires support for 8BITMIME.  It
> >   means that 8BITMIME MUST be advertised by the UTF8SMTP capable SMTP
> >   server.
> 
> This requirement is already said in section 2.1. Could be removed.

removed.

Thanks a lot for your kind comments.
Best Regards,
YAO Jiankang

> 
> 
> 
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ima
>

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima